[arch-commits] Commit in soundtouch/trunk (4 files)

Jan de Groot jgc at archlinux.org
Fri Nov 6 23:54:58 UTC 2009


    Date: Friday, November 6, 2009 @ 18:54:57
  Author: jgc
Revision: 58307

upgpkg: soundtouch 1.4.0-1
    Update to 1.4.0, use some patches from redhat:
- fix ASM on x86_64
- only compile SSE/MMX optimized parts with mmmx and msse flags

Added:
  soundtouch/trunk/soundtouch-1.4.0-mmx-sse-compile-fix.patch
  soundtouch/trunk/soundtouch-1.4.0-x86_64-asm-broken.patch
Modified:
  soundtouch/trunk/PKGBUILD
Deleted:
  soundtouch/trunk/07_gcc43.patch

--------------------------------------------+
 07_gcc43.patch                             |   13 -------------
 PKGBUILD                                   |   22 +++++++++++++---------
 soundtouch-1.4.0-mmx-sse-compile-fix.patch |   14 ++++++++++++++
 soundtouch-1.4.0-x86_64-asm-broken.patch   |   12 ++++++++++++
 4 files changed, 39 insertions(+), 22 deletions(-)

Deleted: 07_gcc43.patch
===================================================================
--- 07_gcc43.patch	2009-11-06 23:49:55 UTC (rev 58306)
+++ 07_gcc43.patch	2009-11-06 23:54:57 UTC (rev 58307)
@@ -1,13 +0,0 @@
-
-diff -Nur soundtouch-1.3.0/build-tree/SoundTouch-1.3.0/source/example/SoundStretch/WavFile.cpp soundtouch-1.3.0.new/build-tree/SoundTouch-1.3.0/source/example/SoundStretch/WavFile.cpp
---- SoundTouch-1.3.0/source/example/SoundStretch/WavFile.cpp	2004-10-30 11:10:16.000000000 -0400
-+++ SoundTouch-1.3.0/source/example/SoundStretch/WavFile.cpp	2008-03-10 11:14:37.000000000 -0400
-@@ -48,6 +48,7 @@
- #include <stdio.h>
- #include <stdexcept>
- #include <string>
-+#include <cstring>
- #include <assert.h>
- #include <limits.h>
- 
-

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-06 23:49:55 UTC (rev 58306)
+++ PKGBUILD	2009-11-06 23:54:57 UTC (rev 58307)
@@ -4,22 +4,26 @@
 # Contributor: Raymano <re1212122000 at yahoo.com>
 
 pkgname=soundtouch
-pkgver=1.3.1
-pkgrel=3
+pkgver=1.4.0
+pkgrel=1
 pkgdesc="An audio processing library"
 arch=('i686' 'x86_64')
 url="http://www.surina.net/soundtouch/"
 license=('LGPL')
-depends=('gcc-libs')
+depends=('gcc-libs>=4.4.2')
 options=('!libtool')
-source=(http://www.surina.net/soundtouch/${pkgname}-${pkgver}.tar.gz 07_gcc43.patch)
-md5sums=('5e0185e81dbba2f2eed8581b7664ab04' '3c7f912769f8c59042a12277deba5d89')
+source=(http://www.surina.net/soundtouch/${pkgname}-${pkgver}.tar.gz
+        soundtouch-1.4.0-mmx-sse-compile-fix.patch
+        soundtouch-1.4.0-x86_64-asm-broken.patch)
+md5sums=('fc4bb10401624899efe4fb554d4fd3ed'
+         'f0204136c90ce4f6d4761073151eb4dc'
+         '0d856bb5b519b18c6ba3a2e1770bdfd2')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  patch -p1 < ../07_gcc43.patch || return 1
-  ./bootstrap || return 1
+  cd "${srcdir}/${pkgname}"
+  patch -Np1 -i "${srcdir}/soundtouch-1.4.0-mmx-sse-compile-fix.patch" || return 1
+  patch -Np1 -i "${srcdir}/soundtouch-1.4.0-x86_64-asm-broken.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg pkgdocdir=/usr/share/doc/soundtouch install || return 1
+  make DESTDIR="${pkgdir}" pkgdocdir=/usr/share/doc/soundtouch install || return 1
 }

Added: soundtouch-1.4.0-mmx-sse-compile-fix.patch
===================================================================
--- soundtouch-1.4.0-mmx-sse-compile-fix.patch	                        (rev 0)
+++ soundtouch-1.4.0-mmx-sse-compile-fix.patch	2009-11-06 23:54:57 UTC (rev 58307)
@@ -0,0 +1,14 @@
+diff -up soundtouch/source/SoundTouch/Makefile.in~ soundtouch/source/SoundTouch/Makefile.in
+--- soundtouch/source/SoundTouch/Makefile.in~	2009-02-15 11:21:36.000000000 +0100
++++ soundtouch/source/SoundTouch/Makefile.in	2009-02-15 11:23:30.000000000 +0100
+@@ -209,7 +209,9 @@ libSoundTouch_la_SOURCES = AAFilter.cpp 
+ # Note by authore: '-msse2' might not work in non-X86 compilations. If someone can
+ # fix this script to automatically check for CPU architecture, please submit a patch 
+ # to me.
+-AM_CXXFLAGS = -O3 -msse2 -fcheck-new -I../../include
++AM_CXXFLAGS = -fcheck-new -I../../include
++mmx_optimized.lo : AM_CXXFLAGS = -mmmx -fcheck-new -I../../include
++sse_optimized.lo : AM_CXXFLAGS = -msse -fcheck-new -I../../include
+ all: all-am
+ 
+ .SUFFIXES:

Added: soundtouch-1.4.0-x86_64-asm-broken.patch
===================================================================
--- soundtouch-1.4.0-x86_64-asm-broken.patch	                        (rev 0)
+++ soundtouch-1.4.0-x86_64-asm-broken.patch	2009-11-06 23:54:57 UTC (rev 58307)
@@ -0,0 +1,12 @@
+diff -up soundtouch/include/STTypes.h~ soundtouch/include/STTypes.h
+--- soundtouch/include/STTypes.h~	2009-01-25 17:32:53.000000000 +0100
++++ soundtouch/include/STTypes.h	2009-02-14 22:22:37.000000000 +0100
+@@ -87,7 +87,7 @@ namespace soundtouch
+  
+  #endif
+ 
+-    #if (WIN32 || __i386__ || __x86_64__)
++    #if (WIN32 || __i386__)
+         /// Define this to allow X86-specific assembler/intrinsic optimizations. 
+         /// Notice that library contains also usual C++ versions of each of these
+         /// these routines, so if you're having difficulties getting the optimized 




More information about the arch-commits mailing list